PlaneArcIntersection

Intersect a plane and an arc.

Syntax

Rhino.PlaneArcIntersection (arrPlane, arrArcPlane, dblRadius, dblAngle)

Parameters

arrPlane

Required.  Array.  The plane to intersect.

arrArcPlane

Required.  Array.  The plane of the arc. The origin of the plane is the center point of the arc. The X-axis of the plane is defined at the 0 angle direction.

dblRadius

Required.  Number.  The radius of the arc.

dblAngle

Required.  Number.  The angle of the arc in degrees.

Returns

Array

An array containing the 3-D intersection points if successful.

Null

If not successful, or on error.

Example

Dim arrPlane

arrPlane = Rhino.PlaneFromFrame(Array(0,0,0), Array(1,1,0), Array(0,0,1))

arrPoints = Rhino.PlaneArcIntersection(arrPlane, Rhino.WorldXYPlane, 5.0, 90.0)

If IsArray(arrPoints) Then

  Rhino.AddPoints arrPoints

End If

Also See

IntersectPlanes

PlaneCircleIntersection

PlanePlaneIntersection

PlaneSphereIntersection